您尚未登录。

#1 2018-02-05 13:48:13

estoday
会员
注册时间: 2014-10-30
帖子: 7

pacman提示libcrypto.so.1.0.0: cannot open shared object file

各位大神,现在系统使用pacman命令提示“pacman: error while loading shared libraries: libcrypto.so.1.0.0: cannot open shared object file: No such file or directory”,是openssl没有更新么!
要怎么解决!

离线

#2 2018-02-05 14:02:29

依云
a.k.a. 百合仙子
所在地: 一个等待妹纸出现的地方
注册时间: 2011-08-21
帖子: 4,835
个人网站

Re: pacman提示libcrypto.so.1.0.0: cannot open shared object file

你进行了部分更新导致的。解决方案嘛,把 openssl 降回去,然后再一起更新。

离线

#3 2018-02-05 17:01:00

estoday
会员
注册时间: 2014-10-30
帖子: 7

Re: pacman提示libcrypto.so.1.0.0: cannot open shared object file

@a.k.a. 百合仙子
我是arm版本,下载了openssl-1.0-1.0.2.n-1-arm.pkg.tar.xz这个包,解压后,使用
cd /usr/lib
ln -s libssl.so.1.0.0 libssl.so.1.0.0
ln -s libcrypto.so.1.0.0 libcrypto.so.1.0.0

问题依旧,请教该怎么处理!

离线

页脚